#
# spec file for package trang
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           trang
BuildRequires:  unzip
Summary:        Schema Converter Based on RELAX NG
Version:        20091111
Release:        20.2
Url:            http://code.google.com/p/jing-trang/
Source0:        http://jing-trang.googlecode.com/files/%{name}-%{version}.zip
Source1:        %{name}
Source2:        %{name}-doc.tar.bz2
License:        BSD-3-Clause
Group:          Productivity/Publishing/XML
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       jre jing
BuildArch:      noarch

%description
Trang is a command line converter for XML schema languages. The
following languages are supported:

* RELAX NG (XML syntax)
* RELAX NG compact syntax
* XML 1.0 DTDs
* W3C XML Schema

W3C XML Schema is not supported for input.

Trang can also derive a schema from XML documents.

Trang will try to build human-readable schemas; aspects of the input
schema will be preserved as much as possible (including definitions,
spreading over files, annotations, and comments).

%prep
%setup -q -a 2

%build

%install
install -D -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/trang
install -D -m 0644 trang.jar $RPM_BUILD_ROOT%{_javadir}/trang-%{version}.jar
ln -s trang-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/trang.jar
install -D -m 0644 doc/trang.1 $RPM_BUILD_ROOT%{_mandir}/man1/trang.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc copying.txt trang-manual.html
%{_bindir}/trang
%{_javadir}/*
%{_mandir}/man1/*

%changelog
* Tue Apr 26 2011 mvyskocil@suse.cz
- fix bnc#689377 - add support for multiple input files to /usr/bin/trang
  patch by Justin McAteer - just_mcateer at hotmail
* Mon Mar 15 2010 prusnak@suse.cz
- updated to 20091111
  * add -C option to specify the catalog
  * fix schematron test suite schema
  * provide a resolver that implements OASIS XML catalogs
  * take advantage of Java 5 features
* Mon Mar 16 2009 prusnak@suse.cz
- added documentation (manpage) by Thomas Schraitle
* Thu Nov 27 2008 prusnak@suse.cz
- updated to 20081028
* Tue Feb 19 2008 prusnak@suse.cz
- fixed build
* Fri Mar 30 2007 rguenther@suse.de
- add unzip BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jun  3 2005 ke@suse.de
- For the moment, switch to the Java version:
  * Provide a trang wrapper script.
  * Make the package noarch.
  * Require jre and jing.
* Thu Apr 28 2005 skh@suse.de
- fix build with gcc 4:
  - use -findirect-dispatch
  - adjust Makefile.in to compile .java to .class and then
    .class to .o to be able to use -findirect-dispatch
    (matz@suse.de)
  - change some private members of inner classes to protected
    where gcj (probably wrongly) complains about illegal
    accesses
* Wed Oct 13 2004 ke@suse.de
- Add libgpg-error and libgcrypt to needeforbuild.
* Tue Sep  7 2004 ke@suse.de
- Remove namespace workaround; cf. [# 44214].
* Mon Aug 30 2004 ke@suse.de
- Disable two dubious test cases; cf. [# 44214].
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Tue Jun 24 2003 ke@suse.de
- New package: Version 20030619.
